| Home | Libraries | People | FAQ | More

##### basic_datagram_socket::basic_datagram_socket (4 of 5 overloads)

Construct a `basic_datagram_socket` on an existing native socket.

    basic_datagram_socket(
        boost::asio::io_service & io_service,
        const protocol_type & protocol,
        const native_handle_type & native_socket);

This constructor creates a datagram socket object to hold an existing native socket.

###### Parameters

io_service

  The `io_service` object that the datagram socket will use to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.